Get an agent by ID

Server: https://{kibana_url}
  • GET /api/agent_builder/agents/{id}

Get a specific agent by ID. Use this endpoint to retrieve the complete agent definition including all configuration details and tool assignments. To learn more about agents, refer to the agents documentation.

[Required authorization] Route required privileges: agentBuilder:read.

Path Parameters

id string required

The unique identifier of the agent to retrieve.

Response

200

Indicates a successful response

application/json